This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 11706 - Why -00:00 instead of +00:00 when time zone is UTC?
Summary: Why -00:00 instead of +00:00 when time zone is UTC?
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-09 17:13 UTC by contributor
Modified: 2011-08-04 05:13 UTC (History)
7 users (show)

See Also:


Attachments

Description contributor 2011-01-09 17:13:47 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/common-microsyntaxes.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#best-representation-of-the-global-date-and-time-string

Comment:
Why -00:00 instead of +00:00 when time zone is UTC?

Posted from: 81.234.240.182 by philip@foolip.org
Comment 1 Philip J├Ągenstedt 2011-01-09 17:42:54 UTC
This looks a bit odd and is quite annoying as it makes it very difficult to use any existing software to generate this normalized format. Examples:

* UNIX: date -u "+%:z" gives "+00:00"

* C: printf("%+03d\n", 0) gives "+00"

* Python: str(t) where t is a datetime.time and t.tzinfo.utcoffset() returns 0 gives e.g. "18:40:12+00:00"

These are just the cases I've encountered, I'm sure the list of things that uses + for 0 can be made very long.
Comment 2 Ian 'Hixie' Hickson 2011-02-17 02:07:29 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: It was a mistake. -00:00 is actually disallowed because some RFC give it special meaning.
Comment 3 contributor 2011-02-17 02:08:14 UTC
Checked in as WHATWG revision r5903.
Check-in comment: The best representation of something should really be a valid one too.
http://html5.org/tools/web-apps-tracker?from=5902&to=5903
Comment 4 Philip J├Ągenstedt 2011-02-17 09:28:03 UTC
Great, thanks! I was afraid this was another case of being deliberately different to "encourage" people to implement the spec from scratch, glad it wasn't so.
Comment 5 Michael[tm] Smith 2011-08-04 05:13:30 UTC
mass-move component to LC1